Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.events
Class DependencyBuilder

    java.lang.Object
      com.atlassian.bamboo.events.DefaultBuildEventListener
          com.atlassian.bamboo.events.DependencyBuilder

All Implemented Interfaces:
  BuildEventListener

    public class DependencyBuilder

extends DefaultBuildEventListener

This listens for builds to complete and decides if any dependent builds need building

Field Summary

Fields inherited from interface com.atlassian.bamboo.event.BuildEventListener
`DISABLE_NOTIFICATION_SYSTEM_PROPERTY`

Constructor Summary
`DependencyBuilder(BuildManager buildManager)`

Method Summary
`SessionFactory` | `getSessionFactory()`
`void` | `onBuildComplete(Build build, BuildResults buildResults)` If the build was successfull, build all the builds that depend on this one (if any).
`void` | `setSessionFactory(SessionFactory sessionFactory)`

Methods inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`getBuildManager, getPreviousBuildState, getServerBaseUrl, onBuildStart, onDeletedBuild, onDeletedBuildResult, onNewBuild, setBuildManager, systemHasBeenConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyBuilder

    public DependencyBuilder(BuildManager buildManager)

Method Detail

### onBuildComplete

    public void onBuildComplete(Build build,
                                BuildResults buildResults)

  If the build was successfull, build all the builds that depend on this one (if any).

  Specified by:
    `onBuildComplete` in interface `BuildEventListener`
  Overrides:
    `onBuildComplete` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build that has just been built
    `buildResults` - The build results

### getSessionFactory

    public SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.